package com.tf.drawing
{
	import flash.display.Graphics;
	import flash.geom.Point;

	public class Line
	{
		// Line style properties		
		public var color:uint = 0x000000;
		public var thickness:Number = 8;
		public var alpha:Number = 1;
	
		// Points which make up this line
		private var points:Array = new Array();

		
		/** Add a point to this line */
		public function push(point:Point):void
			{ points.push(point); }
		
		
		/** Draw this line */
		public function draw(g:Graphics ):void 
		{
			if(points.length == 1) {
				// Draw a point if line length is 1
				g.beginFill(color,alpha);
				g.drawCircle(points[0].x, points[0].y, thickness/2);
				g.endFill();
				return;
			}
			
			
			// Trace out all points in the line
			g.lineStyle(thickness,color,alpha);
			for(var i:int = 0; i<points.length; i++)
			{
				var p:Point = points[i];
				if( i == 0 )
					g.moveTo( p.x, p.y ); // move to start
				else
					g.lineTo( p.x, p.y );
			}
			g.lineStyle();
		}
	}
}